This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Amend version.pm so it correctly loads the XS version of qv()
authorRafael Garcia-Suarez <rgarciasuarez@gmail.com>
Mon, 22 May 2006 16:51:36 +0000 (16:51 +0000)
committerRafael Garcia-Suarez <rgarciasuarez@gmail.com>
Mon, 22 May 2006 16:51:36 +0000 (16:51 +0000)
p4raw-id: //depot/perl@28280

lib/version.pm

index 460df33..dcf5804 100644 (file)
@@ -6,23 +6,11 @@ use strict;
 
 use vars qw(@ISA $VERSION $CLASS *qv);
 
-$VERSION = "0.60";
+$VERSION = "0.60_01";
 $VERSION = eval($VERSION);
 
 $CLASS = 'version';
 
-eval "use version::vxs $VERSION";
-if ( $@ ) { # don't have the XS version installed
-    eval "use version::vpp $VERSION"; # don't tempt fate
-    die "$@" if ( $@ );
-    push @ISA, "version::vpp";
-    *version::qv = \&version::vpp::qv;
-}
-else { # use XS module
-    push @ISA, "version::vxs";
-    *version::qv = \&version::vxs::qv;
-}
-
 # Preloaded methods go here.
 sub import {
     my ($class, @args) = @_;